Re: [packman] Advance notice of PMBS shutdown from next Weekend on

classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|

Re: [packman] Advance notice of PMBS shutdown from next Weekend on

Mathias Homann-2
Forwarded from the packman mailling list:


Am Montag, 22. Januar 2018, 09:04:08 CET schrieb Stefan Botter:

> Hi all,
>
> due to new compliance regulations in our data center I am not allowed
> to run systems there without available security updates.
> As openSUSE Leap 42.2's support period ends on Jan 26th 2018, and there
> is no published openSUSE Leap 42.3 repository for OBS' stable branch, I
> cannot update PMBS to openSUSE 42.3, and am thus unable to fulfill the
> compliance criteria.
>
> I will have to shut down PMBS until either
> - I find the time and a machine to host PMBS outside of our data
>   center, or
> - a stable branch is published for a supported version of Leap.
>
> I am sorry for the inconvenience caused,
> greetings,
>
> Stefan


so... can we please have a stable repo for 42.3 ASAP?


cheers
MH

--
Mathias Homann
Senior Systems Engineer, IT Consultant. IT Trainer
[hidden email]
http://www.tuxonline.tech
gpg key fingerprint: 8029 2240 F4DD 7776 E7D2 C042 6B8E 029E 13F2 C102


--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: [packman] Advance notice of PMBS shutdown from next Weekend on

Jan Engelhardt-4

On Monday 2018-01-22 09:34, Mathias Homann wrote:

>Am Montag, 22. Januar 2018, 09:04:08 CET schrieb Stefan Botter:
>> Hi all,
>>
>> due to new compliance regulations in our data center I am not allowed
>> to run systems there without available security updates.
>> As openSUSE Leap 42.2's support period ends on Jan 26th 2018, and there
>> is no published openSUSE Leap 42.3 repository for OBS' stable branch, I
>> cannot update PMBS to openSUSE 42.3, and am thus unable to fulfill the
>> compliance criteria.
>>
>> I will have to shut down PMBS until either
>> - I find the time and a machine to host PMBS outside of our data
>>   center, or
>> - a stable branch is published for a supported version of Leap.

I am running OBS:Unstable already on two instances because of this,
and it conveniently even fixed two issues where the server would just return
500 for no apparent reason.
--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: [packman] Advance notice of PMBS shutdown from next Weekend on

Adrian Schröter
In reply to this post by Mathias Homann-2
On Montag, 22. Januar 2018, 09:34:43 CET wrote Mathias Homann:

> Forwarded from the packman mailling list:
>
>
> Am Montag, 22. Januar 2018, 09:04:08 CET schrieb Stefan Botter:
> > Hi all,
> >
> > due to new compliance regulations in our data center I am not allowed
> > to run systems there without available security updates.
> > As openSUSE Leap 42.2's support period ends on Jan 26th 2018, and there
> > is no published openSUSE Leap 42.3 repository for OBS' stable branch, I
> > cannot update PMBS to openSUSE 42.3, and am thus unable to fulfill the
> > compliance criteria.
> >
> > I will have to shut down PMBS until either
> > - I find the time and a machine to host PMBS outside of our data
> >   center, or
> > - a stable branch is published for a supported version of Leap.
> >
> > I am sorry for the inconvenience caused,
> > greetings,
> >
> > Stefan
>
>
> so... can we please have a stable repo for 42.3 ASAP?

No, but you can try to use my personal testbuild branch...

https://build.opensuse.org/project/show/home:adrianSuSE:OBS28

no QA checks beside the ones part of the package build are running there.

--

Adrian Schroeter
email: [hidden email]

SUSE Linux GmbH, GF: Felix Imendörffer, Jane Smithard, Graham Norton, HRB 21284 (AG Nürnberg)
 
Maxfeldstraße 5                        
90409 Nürnberg
Germany




--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: [packman] Advance notice of PMBS shutdown from next Weekend on

Mathias Homann-2
Am Montag, 22. Januar 2018, 10:02:50 CET schrieb Adrian Schröter:

> On Montag, 22. Januar 2018, 09:34:43 CET wrote Mathias Homann:
> > Forwarded from the packman mailling list:
> >
> > Am Montag, 22. Januar 2018, 09:04:08 CET schrieb Stefan Botter:
> > > Hi all,
> > >
> > > due to new compliance regulations in our data center I am not allowed
> > > to run systems there without available security updates.
> > > As openSUSE Leap 42.2's support period ends on Jan 26th 2018, and there
> > > is no published openSUSE Leap 42.3 repository for OBS' stable branch, I
> > > cannot update PMBS to openSUSE 42.3, and am thus unable to fulfill the
> > > compliance criteria.
> > >
> > > I will have to shut down PMBS until either
> > > - I find the time and a machine to host PMBS outside of our data
> > >
> > >   center, or
> > >
> > > - a stable branch is published for a supported version of Leap.
> > >
> > > I am sorry for the inconvenience caused,
> > > greetings,
> > >
> > > Stefan
> >
> > so... can we please have a stable repo for 42.3 ASAP?
>
> No, but [...]

why not?

Cheers
MH



--
Mathias Homann
Senior Systems Engineer, IT Consultant. IT Trainer
[hidden email]
http://www.tuxonline.tech
gpg key fingerprint: 8029 2240 F4DD 7776 E7D2 C042 6B8E 029E 13F2 C102

signature.asc (650 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: [packman] Advance notice of PMBS shutdown from next Weekend on

Adrian Schröter
On Montag, 22. Januar 2018, 10:16:31 CET wrote Mathias Homann:

> Am Montag, 22. Januar 2018, 10:02:50 CET schrieb Adrian Schröter:
> > On Montag, 22. Januar 2018, 09:34:43 CET wrote Mathias Homann:
> > > Forwarded from the packman mailling list:
> > >
> > > Am Montag, 22. Januar 2018, 09:04:08 CET schrieb Stefan Botter:
> > > > Hi all,
> > > >
> > > > due to new compliance regulations in our data center I am not allowed
> > > > to run systems there without available security updates.
> > > > As openSUSE Leap 42.2's support period ends on Jan 26th 2018, and there
> > > > is no published openSUSE Leap 42.3 repository for OBS' stable branch, I
> > > > cannot update PMBS to openSUSE 42.3, and am thus unable to fulfill the
> > > > compliance criteria.
> > > >
> > > > I will have to shut down PMBS until either
> > > > - I find the time and a machine to host PMBS outside of our data
> > > >
> > > >   center, or
> > > >
> > > > - a stable branch is published for a supported version of Leap.
> > > >
> > > > I am sorry for the inconvenience caused,
> > > > greetings,
> > > >
> > > > Stefan
> > >
> > > so... can we please have a stable repo for 42.3 ASAP?
> >
> > No, but [...]
>
>
> why not?

As written before, it is more work then just enabling the build.

--

Adrian Schroeter
email: [hidden email]

SUSE Linux GmbH, GF: Felix Imendörffer, Jane Smithard, Graham Norton, HRB 21284 (AG Nürnberg)
 
Maxfeldstraße 5                        
90409 Nürnberg
Germany




--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: [packman] Advance notice of PMBS shutdown from next Weekend on

Björn Geuken


On 01/22/2018 10:28 AM, Adrian Schröter wrote:

> On Montag, 22. Januar 2018, 10:16:31 CET wrote Mathias Homann:
>> Am Montag, 22. Januar 2018, 10:02:50 CET schrieb Adrian Schröter:
>>> On Montag, 22. Januar 2018, 09:34:43 CET wrote Mathias Homann:
>>>> Forwarded from the packman mailling list:
>>>>
>>>> Am Montag, 22. Januar 2018, 09:04:08 CET schrieb Stefan Botter:
>>>>> Hi all,
>>>>>
>>>>> due to new compliance regulations in our data center I am not allowed
>>>>> to run systems there without available security updates.
>>>>> As openSUSE Leap 42.2's support period ends on Jan 26th 2018, and there
>>>>> is no published openSUSE Leap 42.3 repository for OBS' stable branch, I
>>>>> cannot update PMBS to openSUSE 42.3, and am thus unable to fulfill the
>>>>> compliance criteria.
>>>>>
>>>>> I will have to shut down PMBS until either
>>>>> - I find the time and a machine to host PMBS outside of our data
>>>>>
>>>>>    center, or
>>>>>
>>>>> - a stable branch is published for a supported version of Leap.
>>>>>
>>>>> I am sorry for the inconvenience caused,
>>>>> greetings,
>>>>>
>>>>> Stefan
>>>>
>>>> so... can we please have a stable repo for 42.3 ASAP?
>>>
>>> No, but [...]
>>
>>
>> why not?
>
> As written before, it is more work then just enabling the build.
>
Apologies for the late update.
We've been discussing this last Monday and changed our mind. We
currently work on packages for Leap 42.3 and a new Leap 42.3 based
appliance[1].

By now we finished the packaging / appliance building and our openQA
tests are also passing[2]. The missing piece is to test the upgrade path
(Upgrade from 2.7 to 2.8, etc.), which is done by an internal test suite
based on kanku[3].

As soon as this succeeds (presumably this week) we are going to press
the release button and drop you a note

Thank you for your patience
Björn


[1] https://build.opensuse.org/project/monitor/OBS:Server:2.8:Staging
[2] https://openqa.opensuse.org/tests/593290
[3] https://github.com/M0ses/kanku
--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]